mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ICloneable System.Runtime.InteropServices.ComVisible(true)

A calendar divides time into units, such as weeks, months, and years. The number, length, and start of the divisions vary in each calendar.

For information about using the calendar classes in the .NET Framework, see Working with Calendars.

Any moment in time can be represented as a set of numeric values using a particular calendar. For example, a vernal equinox occurred at (1999, 3, 20, 8, 46, 0, 0.0) in the Gregorian calendar, that is, March 20, 1999 C.E. at 8:46:00:0.0. An implementation of can map any date in the range of a specific calendar to a similar set of numeric values, and can map such sets of numeric values to a textual representation using information from and . The textual representation can be culture-sensitive, for example, "8:46 AM March 20th 1999 AD" for the en-US culture, or culture-insensitive, for example, "1999-03-20T08:46:00" in ISO 8601 format.

A implementation can define one or more eras. The class identifies the eras as enumerated integers, where the current era () has the value 0.

To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

For consistency, the first unit in each interval (the first month, for example) is assigned the value 1.

The namespace includes the following implementations:

Represents time in divisions, such as weeks, months, and years.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#1

  Returns a that is the specified number of days away from the specified .

  The that results from adding the specified number of days to the specified .

  The to which to add days. The number of days to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting time is outside the day of the specified . The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#2

  Returns a that is the specified number of hours away from the specified .

  The that results from adding the specified number of hours to the specified .

  The to which to add hours. The number of hours to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is rounded to the nearest integer before it is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting time is outside the day of the specified . The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#3

  Returns a that is the specified number of milliseconds away from the specified .

  The that results from adding the specified number of milliseconds to the specified .

  The to add milliseconds to. The number of milliseconds to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting time is outside the day of the specified . The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#4

  Returns a that is the specified number of minutes away from the specified .

  The that results from adding the specified number of minutes to the specified .

  The to which to add minutes. The number of minutes to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  For example, suppose that the current calendar has 12 months, where the fourth month has 30 days and the tenth month has 31 days. If the specified month is the tenth month, the specified day is the 31st day of that month, and the value of the parameter is 6, the resulting year is one more than the specified year, the resulting month is the fourth month, and the resulting day is the 30th day, which is the last day of the resulting month.

  If the value of the parameter is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#5

  When overridden in a derived class, returns a that is the specified number of months away from the specified .

  The that results from adding the specified number of months to the specified .

  The to which to add months. The number of months to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting time is outside the day of the specified . The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#6

  Returns a that is the specified number of seconds away from the specified .

  The that results from adding the specified number of seconds to the specified .

  The to which to add seconds. The number of seconds to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The month part of the resulting is affected if the resulting day is outside the month of the specified . The year part of the resulting is affected if the resulting month is outside the year of the specified . The era part of the resulting is affected if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  In all .NET Framework classes derived from the class, a week is defined as seven days.

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#7

  Returns a that is the specified number of weeks away from the specified .

  The that results from adding the specified number of weeks to the specified .

  The to which to add weeks. The number of weeks to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  The value is added to the specified . If is negative, the resulting is earlier than the specified .

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. The month part of the resulting is affected if the resulting month is not a valid month in the resulting year. It is changed to the last valid month in the resulting year. The era part of the resulting is affected if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  For example, in the Gregorian calendar, February has 28 days, except during a leap year when it has 29 days. If the specified date is the 29th day of February in a leap year and the value of is 1, the resulting date is the 28th day of February in the following year.

  If is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#8

  When overridden in a derived class, returns a that is the specified number of years away from the specified .

  The that results from adding the specified number of years to the specified .

  The to which to add years. The number of years to add.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Globalization.CalendarAlgorithmType To be added. To be added.

  Gets a value indicating whether the current calendar is solar-based, lunar-based, or a combination of both.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Object

  The new memberwise clone is not read-only.

  Creates a new object that is a copy of the current object.

  A new instance of that is the memberwise clone of the current object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 0

  The field represents the index of the current era in the array. Because eras are arranged in reverse chronological order (from the current era to earlier eras), this field is a constant that has a value of 0.

  Represents the current era of the current calendar.

- Property
  4.0.0.0
  System.Int32 To be added.

  This property returns a constant value of 365. Note that the property value can be overridden by classes derived from the class.

  Gets the number of days in the year that precedes the year that is specified by the property.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32[] To be added: an object of type 'int []'

  The eras are in reverse chronological order, with the current era as the first element of the array, and the oldest era as the last element of the array. For example, the value of the current era in is 4, which is the first element of the array.

  When overridden in a derived class, gets the list of eras in the current calendar.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  When overridden in a derived class, returns the day of the month in the specified .

  A positive integer that represents the day of the month in the parameter.

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek ``

  The values are Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, and Saturday.

  When overridden in a derived class, returns the day of the week in the specified .

  A value that represents the day of the week in the parameter.

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The day of the year is defined as the number of days from the first day of the year. For example, in , for January 1 returns 1, and for December 31 returns 365 in a common year or 366 in a leap year.

  When overridden in a derived class, returns the day of the year in the specified .

  A positive integer that represents the day of the year in the parameter.

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  For example, in , for February returns 28 in a common year or 29 in a leap year.

  Returns the number of days in the specified month and year of the current era.

  The number of days in the specified month in the specified year in the current era.

  An integer that represents the year. A positive integer that represents the month.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For example, in , for February returns 28 in a common year or 29 in a leap year.

  When overridden in a derived class, returns the number of days in the specified month, year, and era.

  The number of days in the specified month in the specified year in the specified era.

  An integer that represents the year. A positive integer that represents the month. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For example, in , returns 365 for a common year or 366 for a leap year.

  Returns the number of days in the specified year of the current era.

  The number of days in the specified year in the current era.

  An integer that represents the year.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  For example, in , returns 365 for a common year or 366 for a leap year.

  When overridden in a derived class, returns the number of days in the specified year and era.

  The number of days in the specified year in the specified era.

  An integer that represents the year. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  When overridden in a derived class, returns the era in the specified .

  An integer that represents the era in .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the hours value in the specified .

  An integer from 0 to 23 that represents the hour in .

  The to read.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 ``

  In a calendar that supports the notion of a leap month, the leap month can occur either after a particular month or after any month in a year. For example, the method returns a number between 1 and 13 that indicates the month associated with a specified date. If there is a leap month between the eighth and ninth months of the year, the method returns 8 for the eighth month, 9 for the leap eighth month, and 10 for the ninth month.

  Calculates the leap month for a specified year.

  A positive integer that indicates the leap month in the specified year.

  -or-

  Zero if this calendar does not support a leap month or if the parameter does not represent a leap year.

  A year.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 `` ``

  In a calendar that supports the notion of a leap month, the leap month can occur either after a particular month or after any month in a year. For example, the method returns a number between 1 and 13 that indicates the month associated with a specified date. If there is a leap month between the eighth and ninth months of the year, the method returns 8 for the eighth month, 9 for the leap eighth month, and 10 for the ninth month.

  Calculates the leap month for a specified year and era.

  A positive integer that indicates the leap month in the specified year and era.

  -or-

  Zero if this calendar does not support a leap month or if the and parameters do not specify a leap year.

  A year. An era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double `` To be added

  Returns the milliseconds value in the specified .

  A double-precision floating-point number from 0 to 999 that represents the milliseconds in the parameter.

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the minutes value in the specified .

  An integer from 0 to 59 that represents the minutes in .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For example, in , for Tishrei returns 1, and for Elul returns 12 in a common year or 13 in a leap year.

  When overridden in a derived class, returns the month in the specified .

  A positive integer that represents the month in .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For example, in , returns 12 for a common year or 13 for a leap year.

  Returns the number of months in the specified year in the current era.

  The number of months in the specified year in the current era.

  An integer that represents the year.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  For example, in , returns 12 for a common year or 13 for a leap year.

  When overridden in a derived class, returns the number of months in the specified year in the specified era.

  The number of months in the specified year in the specified era.

  An integer that represents the year. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the seconds value in the specified .

  An integer from 0 to 59 that represents the seconds in .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  This method can be used to determine the number of weeks in the year by setting to the last day of the year.

  The object for a particular culture that uses the calendar indicated by the property includes the following culture-specific values that can be used for the and parameters:

  The property contains the default first day of the week that can be used for the parameter.

  The property contains the default calendar week rule that can be used for the parameter.

  The following example uses the current culture's object to determine that January 1, 2011 is in the first week of the year in the Gregorian calendar.

  code reference: System.Globalization.Calendar.GetWeekOfYear#2

  For some calendars, a call to the method throws an for particular combinations of and values even if is greater than the date returned by that calendar's property. The following table lists the affected calendars, the specific values, and the range of the earliest supported values. The specific minimum value depends on the value of the parameter.

  Calendar

  CalendarWeekRule value

  Gregorian date (M/dd/yyyy)

  Date in calendar (M/dd/yyyy)

  2/19/1901 to 2/25/1901

  1/1/1901 to 1/7/1901

  2/19/1901 to 2/22/1901

  1/01/1901 to 1/04/1901

  9/17/1583

  1/01/5344

  9/17/1583 to 9/23/1583

  1/01/5344 to 1/07/5344

  9/17/1583 to 9/20/1583

  1/01/5344 to 1/04/5344

  7/18/0622 to 7/24/0622

  1/01/0001 to 1/07/0001

  7/18/0622 to 7/21/0622

  1/01/0001 to 1/04/0001

  1/28/1960 to 2/03/1960

  1/01/35 to 1/07/0035

  1/28/1960 to 1/31/1960

  1/01/0035 to 1/04/0035

  1/01/0001 to 1/05/0001

  1/03/0001 to 1/07/0001

  1/01/0001 to 1/02/0001

  1/03/0001 to 1/04/0001

  2/14/0918 to 2/20/0918

  1/01/0918 to 1/07/0918

  2/14/0918 to 2/17/0918

  1/01/0918 to 1/04/0918

  3/21/0622 to 3/27/0622

  1/01/0001 to 1/07/0001

  3/21/0622 to 3/24/0622

  1/01/0001 to 1/04/0001

  2/18/1912 to 2/24/1912

  1/01/0001 to 1/07/0001

  2/18/1912 to 2/21/1912

  1/01/0001 to 1/04/0001

  4/30/1900 to 5/06/1900

  1/01/1318 to 1/07/1318

  4/30/1900 to 5/03/1900

  1/01/1318 to 1/04/1318

  Returns the week of the year that includes the date in the specified value.

  A positive integer that represents the week of the year that includes the date in the parameter.

  A date and time value. An enumeration value that defines a calendar week. An enumeration value that represents the first day of the week.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  When overridden in a derived class, returns the year in the specified .

  An integer that represents the year in .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  A leap day is a day that occurs only in a leap year. For example, in the Gregorian calendar, the 29th day of February is the only leap day.

  Determines whether the specified date in the current era is a leap day.

  true if the specified day is a leap day; otherwise, false.

  An integer that represents the year. A positive integer that represents the month. A positive integer that represents the day.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  A leap day is a day that occurs only in a leap year. For example, in the Gregorian calendar, the 29th day of February is the only leap day.

  When overridden in a derived class, determines whether the specified date in the specified era is a leap day.

  true if the specified day is a leap day; otherwise, false.

  An integer that represents the year. A positive integer that represents the month. A positive integer that represents the day. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  A leap month is an entire month that occurs only in a leap year. For example, in the Hebrew calendar, Adar Beit is the only leap month.

  Determines whether the specified month in the specified year in the current era is a leap month.

  true if the specified month is a leap month; otherwise, false.

  An integer that represents the year. A positive integer that represents the month.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  A leap month is an entire month that occurs only in a leap year. For example, in the Hebrew calendar, Adar Beit is the only leap month.

  When overridden in a derived class, determines whether the specified month in the specified year in the specified era is a leap month.

  true if the specified month is a leap month; otherwise, false.

  An integer that represents the year. A positive integer that represents the month. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  Determines whether the specified year in the current era is a leap year.

  true if the specified year is a leap year; otherwise, false.

  An integer that represents the year.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  To make up for the difference between the calendar year and the actual time that the earth rotates around the sun or the actual time that the moon rotates around the earth, a leap year has a different number of days from a standard calendar year. Each implementation defines leap years differently.

  When overridden in a derived class, determines whether the specified year in the specified era is a leap year.

  true if the specified year is a leap year; otherwise, false.

  An integer that represents the year. An integer that represents the era.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added. To be added.

  Gets a value indicating whether this object is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added. To be added.

  Gets the latest date and time supported by this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTime To be added. To be added.

  Gets the earliest date and time supported by this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Globalization.Calendar `` To be added.

  Returns a read-only version of the specified object.

  The object specified by the parameter, if is read-only.

  -or-

  A read-only memberwise clone of the object specified by , if is not read-only.

  A object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` `` `` `` `` `` `` To be added

  Returns a that is set to the specified date and time in the current era.

  The that is set to the specified date and time in the current era.

  An integer that represents the year. A positive integer that represents the month. A positive integer that represents the day. An integer from 0 to 23 that represents the hour. An integer from 0 to 59 that represents the minute. An integer from 0 to 59 that represents the second. An integer from 0 to 999 that represents the millisecond.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` `` `` `` `` `` `` ``

  The method is useful because it can convert any date in the current calendar to a Gregorian calendar date. The Gregorian date can subsequently be used, for example, to compare dates in different calendars or create an equivalent date in a particular calendar.

  When overridden in a derived class, returns a that is set to the specified date and time in the specified era.

  The that is set to the specified date and time in the current era.

  An integer that represents the year. A positive integer that represents the month. A positive integer that represents the day. An integer from 0 to 23 that represents the hour. An integer from 0 to 59 that represents the minute. An integer from 0 to 59 that represents the second. An integer from 0 to 999 that represents the millisecond. An integer that represents the era.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  is the last year in the 100-year range that can be represented by a two-digit year. The century is determined by finding the sole occurrence of the two-digit within that 100-year range. For example, if is set to 2029, the 100-year range is from 1930 to 2029. Therefore, a 2-digit value of 30 is interpreted as 1930, while a 2-digit value of 29 is interpreted as 2029.

  If is greater than or equal to 100, the value of is returned unchanged.

  supports either a two-digit year or a four-digit year. Passing a two-digit year value (less than 100) causes the method to convert the value to a four-digit value according to the value representing the appropriate century. If the application supplies a four-digit year value that is within the supported calendar range to , the method returns the actual input value. If the application supplies a four-digit value that is outside the supported calendar range, or if it supplies a negative value, the method throws an exception.

  Converts the specified year to a four-digit year by using the property to determine the appropriate century.

  An integer that contains the four-digit representation of .

  A two-digit or four-digit integer that represents the year to convert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  This property allows a 2-digit year to be properly translated to a 4-digit year. For example, if this property is set to 2029, the 100-year range is from 1930 to 2029. Therefore, a 2-digit value of 30 is interpreted as 1930, while a 2-digit value of 29 is interpreted as 2029.

  The initial value of this property is derived from the settings in the regional and language options portion of Control Panel. However, that information can change during the life of the . The class does not detect changes in the system settings automatically. If the calendar is not supported in the regional and language options, the initial value of this property is the default value defined by the class.

  Your application should set this value to 99 to indicate that 2-digit years are to be taken literally. For example, if this property is set to 99, the 100-year range is from 0 (not a valid value for most calendars) to 99. Therefore, a 2-digit value of 30 is interpreted as 30.

  Gets or sets the last year of a 100-year range that can be represented by a 2-digit year.